2

Recently, I am getting slds validation errors in VS Code for 'presumably' updated design tokens for the aura component .cmp file. It is complaining that: slds-m-bottom_medium should be updated to slds-var-m-bottom_medium however, when I go to SLDS to confirm if this change is in fact a new change to SLDS, I am seeing no such change. THis ins't only for margins, but padding too

Has anyone experienced this issue, and outside of just turning off SLDS Validtor, are there any workarounds. I can't imagine that they are actually changing the class to contain var but, I do not know this either.

3
  • in what type of file are you getting these errors/warning? .js ? .css ? .html ?
    – glls
    Jul 2 at 14:52
  • the aura.cmp file
    – JRiffe
    Jul 2 at 14:56
  • Happens on the LWC HTML file as well.
    – user2018
    Sep 23 at 7:36
2

Some standard tokens now have variable token alternatives so that they are responsive to display density.

References: https://www.lightningdesignsystem.com/utilities/margin/#Variable-Density-Classes

https://www.lightningdesignsystem.com/utilities/padding/#Variable-Density-Classes

1
  • Thank you! I looked around but I guess not hard enough.
    – JRiffe
    Jul 2 at 20:49

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.